﻿// <auto-generated />
using System;
using EnergyDataService.Api.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace EnergyDataService.Api.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    partial class ApplicationDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 64)
                .HasAnnotation("ProductVersion", "5.0.4");

            modelBuilder.Entity("EnergyDataService.Api.Models.Entity.ConsumerMessage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<long>("ConsumerId")
                        .HasColumnType("bigint");

                    b.Property<string>("ConsumerType")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<double>("Consumption")
                        .HasColumnType("double");

                    b.Property<DateTime>("DateTime")
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnType("datetime(6)");

                    b.Property<double>("Production")
                        .HasColumnType("double");

                    b.HasKey("Id");

                    b.ToTable("ConsumerMessages");
                });

            modelBuilder.Entity("EnergyDataService.Api.Models.Entity.ConsumerSubtotalEnergyMessage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<long>("ConsumerCount")
                        .HasColumnType("bigint");

                    b.Property<string>("ConsumerType")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("DateTime")
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnType("datetime(6)");

                    b.Property<long>("TotalConsumption")
                        .HasColumnType("bigint");

                    b.Property<long>("TotalProduction")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.ToTable("ConsumerSubtotalEnergyMessages");
                });

            modelBuilder.Entity("EnergyDataService.Api.Models.Entity.ConsumerTotalEnergyMessage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<long>("ConsumerCount")
                        .HasColumnType("bigint");

                    b.Property<DateTime>("DateTime")
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnType("datetime(6)");

                    b.Property<long>("TotalConsumption")
                        .HasColumnType("bigint");

                    b.Property<long>("TotalProduction")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.ToTable("ConsumerTotalEnergyMessages");
                });

            modelBuilder.Entity("EnergyDataService.Api.Models.Entity.ProducerMessage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("DateTime")
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnType("datetime(6)");

                    b.Property<double>("Output")
                        .HasColumnType("double");

                    b.Property<long>("ProducerId")
                        .HasColumnType("bigint");

                    b.Property<string>("ProducerType")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("ProducerMessages");
                });

            modelBuilder.Entity("EnergyDataService.Api.Models.Entity.ProducerSubtotalEnergyMessage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("DateTime")
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnType("datetime(6)");

                    b.Property<long>("ProducerCount")
                        .HasColumnType("bigint");

                    b.Property<string>("ProducerType")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<long>("TotalOutput")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.ToTable("ProducerSubtotalEnergyMessages");
                });

            modelBuilder.Entity("EnergyDataService.Api.Models.Entity.ProducerTotalEnergyMessage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("DateTime")
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnType("datetime(6)");

                    b.Property<long>("ProducerCount")
                        .HasColumnType("bigint");

                    b.Property<long>("TotalOutput")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.ToTable("ProducerTotalEnergyMessages");
                });
#pragma warning restore 612, 618
        }
    }
}
